Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.individuals
Class OWLGetOwnSlotValuesBrowserTextJob

    java.lang.Object
      edu.stanford.smi.protege.util.RemoteJob
          edu.stanford.smi.protege.util.ProtegeJob
              edu.stanford.smi.protege.util.GetOwnSlotValuesBrowserTextJob
                  edu.stanford.smi.protegex.owl.ui.individuals.OWLGetOwnSlotValuesBrowserTextJob

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Localizable, Serializable

    public class OWLGetOwnSlotValuesBrowserTextJob

extends edu.stanford.smi.protege.util.GetOwnSlotValuesBrowserTextJob

See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.GetOwnSlotValuesBrowserTextJob
`directValues, frame, slot`

Constructor Summary
`OWLGetOwnSlotValuesBrowserTextJob(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, boolean directValues)`

Method Summary
`protected Collection` | `getValues()`

Methods inherited from class edu.stanford.smi.protege.util.GetOwnSlotValuesBrowserTextJob
`execute, localize, run`

Methods inherited from class edu.stanford.smi.protege.util.ProtegeJob
`fixLoader, getKnowledgeBase, getMetaProjectInstance, serverSideCheckOperationAllowed`

Methods inherited from class edu.stanford.smi.protege.util.RemoteJob
`serverSideCheckOperationAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLGetOwnSlotValuesBrowserTextJob

    public OWLGetOwnSlotValuesBrowserTextJob(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                             edu.stanford.smi.protege.model.Frame frame,
                                             edu.stanford.smi.protege.model.Slot slot,
                                             boolean directValues)

Method Detail

### getValues

    protected Collection getValues()

  Overrides:
    `getValues` in class `edu.stanford.smi.protege.util.GetOwnSlotValuesBrowserTextJob`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.